"use strict";
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (Object.hasOwnProperty.call(mod, k)) result[k] = mod[k];
    result["default"] = mod;
    return result;
};
Object.defineProperty(exports, "__esModule", { value: true });
var _glob = __importStar(require("glob"));
var _path = __importStar(require("path"));
var _fs = __importStar(require("fs-extra"));
exports.globTestIds = function (_a) {
    var _b = _a.fs, fs = _b === void 0 ? _fs : _b, _c = _a.glob, glob = _c === void 0 ? _glob : _c, _d = _a.path, path = _d === void 0 ? _path : _d;
    return function (_a) {
        var idsLocation = _a.idsLocation, output = _a.output, cwd = _a.cwd;
        var allIds = glob
            .sync(path.join(cwd, idsLocation))
            .map(function (filename) { return ({
            filename: filename,
            file: fs.readFileSync(filename, "utf8")
        }); })
            .map(function (_a) {
            var filename = _a.filename, file = _a.file;
            return ({
                filename: filename,
                file: JSON.parse(file)
            });
        })
            .reduce(function (ids, _a) {
            var filename = _a.filename, file = _a.file;
            file.forEach(function (testId) {
                if (testId in ids) {
                    throw new Error("Duplicate test id " + testId + " in " + filename);
                }
                ids[testId] = testId;
            });
            return ids;
        }, {});
        fs.mkdirpSync(path.dirname(output));
        var outFile = path.join(cwd, output);
        fs.writeFileSync(outFile, JSON.stringify(allIds, null, 2));
        console.log(Object.keys(allIds).length + " test ids written to " + outFile);
    };
};
//# sourceMappingURL=glob-test-ids.js.map